<?php

				for($i=0;$i<=$_REQUEST['nItems'];$i++)
				{
					if($_REQUEST['EntrObserva'.$i]!="")
					{
						if(comprobarFecha($_REQUEST['EntrDia'.$i],$_REQUEST['EntrMes'.$i],$_REQUEST['EntrAno'.$i]))
						{
							$fecha=$_REQUEST['EntrAno'.$i]."-".traducirFecha($_REQUEST['EntrMes'.$i])."-".traducirFecha($_REQUEST['EntrDia'.$i]);
						}
						if($i<$_REQUEST['EntrIds'])
						{
							$idasisten=$_REQUEST['EntrAsisten'.$i];
							$otroasisten=$_REQUEST['OtraEntrAsisten'.$i];
							if($idasisten!="")
							{
								if($idasisten=="Otra") //Nueva Medida
								{
									$idasisten=$otroasisten;
								}
							}
							for($j=1;$j<6;$j++)
							{
								if($_REQUEST['EntrObserva'.$i.'Documento'.$j]!="" && $_REQUEST['EntrObserva'.$i.'Documento'.$j]!=$_REQUEST['EntrObserva'.$i.'DocumentoAntiguo'.$j])
								{
									if($_REQUEST['EntrObserva'.$i.'DocumentoAntiguo'.$j]!="")
										unlink($_REQUEST['EntrObserva'.$i.'DocumentoAntiguo'.$j]);
										
									$extension=$_REQUEST['EntrObserva'.$i.'DocumentoExt'.$j];
									rename("documentos/entrevista/".$_REQUEST['EntrObserva'.$i.'Documento'.$j],"documentos/entrevista/EntrObserva".$_REQUEST['EntrId'.$i]."_".$j.$extension);
									mysql_query("UPDATE entrevistas SET resumenDoc".$j."='EntrObserva".$_REQUEST['EntrId'.$i]."_".$j.$extension."' WHERE id=".$_REQUEST['EntrId'.$i],$conexion);
								}
							}
							mysql_query("UPDATE entrevistas SET fecha='".$fecha."',asisten='".$idasisten."',resumen='".$_REQUEST['EntrObserva'.$i]."' WHERE id=".$_REQUEST['EntrId'.$i],$conexion);
						} else
						{
							$idasisten=$_REQUEST['EntrAsisten'.$i];
							$otroasisten=$_REQUEST['OtraEntrAsisten'.$i];
							if($idasisten!="")
							{
								if($idasisten=="Otra") //Nueva Medida
								{
									$idasisten=$otroasisten;
								}
							}

							mysql_query("INSERT into entrevistas(idAlumno,fecha,asisten,resumen) VALUES(".$_REQUEST['id'].",'".$fecha."','".$idasisten."','".$_REQUEST['EntrObserva'.$i]."')",$conexion);

							for($j=1;$j<6;$j++)
							{
								if($_REQUEST['EntrObserva'.$i.'Documento'.$j]!="")
								{
									$consultaDocEntr=mysql_query("SELECT * FROM entrevistas ORDER BY id DESC", $conexion);
									$filaDocEntr=mysql_fetch_array($consultaDocEntr);
									
									$extension=$_REQUEST['EntrObserva'.$i.'DocumentoExt'.$j];
									rename("documentos/entrevista/".$_REQUEST['EntrObserva'.$i.'Documento'.$j],"documentos/entrevista/EntrObserva".$filaDocEntr['id']."_".$j.$extension);
									mysql_query("UPDATE entrevistas SET resumenDoc".$j."='EntrObserva".$filaDocEntr['id']."_".$j.$extension."' WHERE id=".$filaDocEntr['id'],$conexion);
								}
							}
						}
					}
				}
?>
